package sgc.portal.cw.cw0628.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0628.model.CW06280001U;
import sgc.portal.cw.cw0628.dto.CW06280001USearch;
import sgc.portal.cw.cw0628.persistence.CW06280001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW06280001UService {
    private final CW06280001UMapper mapper;

    public CW06280001UService(CW06280001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW06280001USearch search) {
        return mapper.getList(search);
    }
    
    @Transactional
    public Map<String, String> save(List<CW06280001U> CW06280001U) {
    	
    	Map<String,String> result = new HashMap<>();
    	
    	for (CW06280001U cW06280001U : CW06280001U) {
            switch (cW06280001U.getRowStatus()) {
                case GridRowStatus.CREATED:
                    insert(cW06280001U);
                    break;
                case GridRowStatus.UPDATED:
                    update(cW06280001U);
                    break;
                case GridRowStatus.DELETED:
                    delete(cW06280001U);
                    break;
                default:
                    break;
            }
        }
    	return result;
    }

    private void insert(CW06280001U cW06280001U) {
        mapper.insert(cW06280001U);
    }

    private void update(CW06280001U cW06280001U) {
        mapper.update(cW06280001U);
    }

    private void delete(CW06280001U cW06280001U) {
        mapper.delete(cW06280001U);
    }
}
